package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag732;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT732Creator;

/**
 * @author gaosheng
 * @date 2023/3/1
 */
public class Tag20Creator extends AbsTagCreate {

     private MT732Creator mt732Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt732Creator= (MT732Creator) absMTCreator;
    }

    public void creator()
    {
        String tag20Value = mt732Creator.getSendersTRN();
        mt732Creator.set("20", tag20Value);
    }
}
